Bug 175068 - [PATCH] net/proxychains: update to 4.4, take maintainership
[PATCH] net/proxychains: update to 4.4, take maintainership
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Felippe de Meirelles Motta
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-06 18:50 UTC by nemysis
Modified: 2013-06-26 22:00 UTC (History)
0 users

See Also:


Attachments
proxychains-4.4.patch (4.79 KB, patch)
2013-01-06 18:50 UTC, nemysis
no flags Details | Diff
proxychains-ng.shar (3.03 KB, application/x-shar)
2013-01-12 12:42 UTC, nemysis
no flags Details
proxychains-ng.shar (2.95 KB, application/x-shar)
2013-02-10 12:29 UTC, nemysis
no flags Details
proxychains-ng.shar (2.97 KB, application/x-shar)
2013-02-22 23:12 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-01-06 18:50:00 UTC
- Update to 4.4
- Take maintainership

Removed file(s):
- files/patch-proxychains-libproxychains.c

Makefile changed:
+CATEGORIES=	net security
+MASTER_SITES=	SF/${PORTNAME}-ng/
+LICENSE=	GPLv2
+USE_BZIP2=	yes
+ALL_TARGET=	all install-config
+PORTDOCS=
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}

Changed and refined:
 post-configure:
 post-patch:
 post-install:
 pkg-descr
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
WARN: Makefile: [34]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

WARN: Makefile: [34]: because is used
+		-e 's|$$(DESTDIR)/$$(sysconfdir)/|$$(DESTDIR)/$$(sysconfdir)/proxychains.conf.sample|' \

port test: clean

Works much better and secure as version 3.1, because this
Priority:	high
Comment 1 nemysis 2013-01-09 21:09:48 UTC
Version 4.4 is threadsafe and much faster than 3.1 because it does DNS on
the proxy side, instead of using a proxified TCP connection.
Support for TOR .onion URLs was added.

I don't have more isues with Version 4.4 with email as with 3.1 before,
to not sometimes can connect to POP3 servers.
Comment 2 spam 2013-01-12 11:41:07 UTC
Hi

This is a fork from different author, maybe it's better to
add it as a new port - net/proxychains-ng? 

-- 
Alex
Comment 3 spam 2013-01-12 12:01:28 UTC
> Better is new Name net/proxychains-ng
> 
> Should i sent a diff?
Yes, just send a followup to this pr with a new patch.

-- 
Alex
Comment 4 nemysis 2013-01-12 12:42:19 UTC
This is a fork from different author, and is better to add it as a new port

net/proxychains-ng

Because this i sent here a shar and not a diff to net/proxychains


Have changed to old diff in this PR

Adjusted Header for a new Port

PORTNAME=       proxychains-ng

MASTER_SITES=   SF/${PORTNAME}
DISTNAME=       ${PORTNAME:S/-ng//}-${PORTVERSION}

CONFLICTS=      proxychains-[0-9]*


portlint -A
WARN: Makefile: [38]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 2 warnings found.

port test: clean
Comment 5 Mark Linimon freebsd_committer 2013-01-14 08:33:32 UTC
State Changed
From-To: open->open

Add text from misfiled PRs. 


Comment 6 Mark Linimon freebsd_committer 2013-01-14 08:33:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-ports-bugs
Comment 7 nemysis 2013-02-10 12:29:27 UTC
Update to 4.5


Fewer Sed after change in Makefile

@${ECHO_CMD} "PXCHAINS=proxychains" >> ${WRKSRC}/config.mak
@${ECHO_CMD} "LDSO_PATHNAME=libproxychains-4.so" >> ${WRKSRC}/config.mak


portlint -A
WARN: Makefile: [35]: use ${VARIABLE}, instead of $(VARIABLE).
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 2 warnings found.

port test: clean
Comment 8 nemysis 2013-02-22 23:12:07 UTC
Changed in Makefile with Developer over IRC

ALL_TARGET=     all
INSTALL_TARGET= install install-config


portlint -A
looks usual.

port test: clean


Build log is now good

https://redports.org/buildarchive/20130222213601-40351/
Comment 9 dfilter freebsd_committer 2013-06-26 21:52:34 UTC
Author: lippe
Date: Wed Jun 26 20:52:19 2013
New Revision: 321815
URL: http://svnweb.freebsd.org/changeset/ports/321815

Log:
  ProxyChains is a UNIX program, that hooks network-related libc functions
  in dynamically linked programs via a preloaded DLL and redirects the
  connections through SOCKS4a/5 or HTTP proxies.
  
  WWW: http://sourceforge.net/projects/proxychains-ng/
  
  PR:		ports/175068
  Submitted by:	nemysis <nemysis@gmx.ch>

Added:
  head/net/proxychains-ng/
  head/net/proxychains-ng/Makefile   (contents, props changed)
  head/net/proxychains-ng/distinfo   (contents, props changed)
  head/net/proxychains-ng/pkg-descr   (contents, props changed)
  head/net/proxychains-ng/pkg-plist   (contents, props changed)
Modified:
  head/net/Makefile

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Wed Jun 26 20:43:44 2013	(r321814)
+++ head/net/Makefile	Wed Jun 26 20:52:19 2013	(r321815)
@@ -891,6 +891,7 @@
     SUBDIR += proxy-connect
     SUBDIR += proxy-suite
     SUBDIR += proxychains
+    SUBDIR += proxychains-ng
     SUBDIR += prtunnel
     SUBDIR += ptpd
     SUBDIR += ptpd2

Added: head/net/proxychains-ng/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/proxychains-ng/Makefile	Wed Jun 26 20:52:19 2013	(r321815)
@@ -0,0 +1,51 @@
+# Created by: nemysis@gmx.ch
+# $FreeBSD$
+
+PORTNAME=	proxychains-ng
+PORTVERSION=	4.5
+CATEGORIES=	net security
+MASTER_SITES=	SF/${PORTNAME}
+DISTNAME=	${PORTNAME:S/-ng//}-${PORTVERSION}
+
+MAINTAINER=	nemysis@gmx.ch
+COMMENT=	Redirect connection through proxy servers
+
+LICENSE=	GPLv2
+
+USE_BZIP2=	yes
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--prefix=${PREFIX}
+USE_GMAKE=	yes
+ALL_TARGET=	all
+INSTALL_TARGET=	install install-config
+USE_LDCONFIG=	yes
+
+CONFLICTS=	proxychains-[0-9]*
+
+PORTDOCS=	AUTHORS ChangeLog README TODO
+
+.include <bsd.port.options.mk>
+
+post-configure:
+	@${ECHO_CMD} "PXCHAINS=proxychains" >> ${WRKSRC}/config.mak
+	@${ECHO_CMD} "LDSO_PATHNAME=libproxychains-4.so" >> ${WRKSRC}/config.mak
+
+post-patch:
+	@${REINPLACE_CMD} \
+		-e 's|$$(DESTDIR)/$$(sysconfdir)/|$$(DESTDIR)/$$(sysconfdir)/proxychains.conf.sample|' \
+		${WRKSRC}/Makefile
+	@${REINPLACE_CMD} \
+		-e 's|libproxychains4.so|libproxychains-4.so|' \
+		${WRKSRC}/src/proxyresolv
+
+post-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/src/proxyresolv ${PREFIX}/bin
+	@[ -f ${PREFIX}/etc/proxychains.conf ] || ${CP} ${PREFIX}/etc/proxychains.conf.sample \
+		${PREFIX}/etc/proxychains.conf
+
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
+.include <bsd.port.mk>

Added: head/net/proxychains-ng/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/proxychains-ng/distinfo	Wed Jun 26 20:52:19 2013	(r321815)
@@ -0,0 +1,2 @@
+SHA256 (proxychains-4.5.tar.bz2) = 61bf79c8107de320facdc44f7811b298b640dd549152ce25b467cb14ae60aece
+SIZE (proxychains-4.5.tar.bz2) = 27292

Added: head/net/proxychains-ng/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/proxychains-ng/pkg-descr	Wed Jun 26 20:52:19 2013	(r321815)
@@ -0,0 +1,5 @@
+ProxyChains is a UNIX program, that hooks network-related libc functions
+in dynamically linked programs via a preloaded DLL and redirects the
+connections through SOCKS4a/5 or HTTP proxies.
+
+WWW: http://sourceforge.net/projects/proxychains-ng/

Added: head/net/proxychains-ng/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/proxychains-ng/pkg-plist	Wed Jun 26 20:52:19 2013	(r321815)
@@ -0,0 +1,6 @@
+bin/proxychains
+bin/proxyresolv
+@unexec if cmp -s %D/etc/proxychains.conf %D/etc/proxychains.conf.sample; then rm -f %D/etc/proxychains.conf; fi
+etc/proxychains.conf.sample
+@exec [ -f %D/etc/proxychains.conf ] || cp %D/etc/proxychains.conf.sample %D/etc/proxychains.conf
+lib/libproxychains-4.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Felippe de Meirelles Motta freebsd_committer 2013-06-26 21:52:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lippe

I'll take it.
Comment 11 Felippe de Meirelles Motta freebsd_committer 2013-06-26 21:52:51 UTC
State Changed
From-To: open->closed

Committed. Thanks!